# Update an interest pause period

`PUT /lokta-lms/api/v1/loans/{loanId}/interest-pauses/{variationId}`

Updates a specific interest pause period by its variation ID.

## Parameters
- `loanId` (path, integer, required): loanId
- `variationId` (path, integer, required): variationId

## Request body (application/json)
- `dateFormat` (string): Format of the dates provided
- `endDate` (string): End date of the interest pause period
- `locale` (string): Locale to interpret the date format
- `startDate` (string): Start date of the interest pause period

## Responses
- `200`: Command successfully processed

## Response fields
- `changes` (object)
- `clientId` (integer)
- `commandId` (integer)
- `creditBureauReportData` (object)
- `externalIdOrNull` (ExternalId)
- `loanExternalId` (ExternalId)
- `loanId` (integer)
- `officeId` (integer)
- `productId` (integer)
- `resourceExternalId` (ExternalId)
- `resourceId` (integer)
- `resourceIdentifier` (string)
- `rollbackTransaction` (boolean)
- `subResourceExternalId` (ExternalId)
- `subResourceId` (integer)
- `transactionId` (string)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/interest-pauses/{variationId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "dateFormat": "yyyy-MM-dd",
  "endDate": "2024-01-11",
  "locale": "en",
  "startDate": "2024-01-01"
}'
```

## Example response
```json
{
  "changes": {},
  "clientId": 1,
  "commandId": 1,
  "creditBureauReportData": {}
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateLoanInterestPause
